package com.xy.alipay;

import com.xy.dto.TradeVideoQueryDTO;
import com.xy.service.AlipayTradeService;
import com.xy.utils.R;
import com.xy.vo.TradeVideoQueryVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;


/**
 * 交易视频相关
 *
 * @author 谭斌
 * @date 2023/04/16
 */
@Slf4j
@Service
@AllArgsConstructor
@Api(tags = "支付宝动态柜交易视频")
public class AlipayTradeVideoServiceImpl {

    private AlipayTradeService alipayTradeService;


    @ApiOperation("视频捞取API")
    @PostMapping
    public R requestTradeVideo(@RequestBody TradeVideoQueryDTO tradeVideoQueryDTO) {
        TradeVideoQueryVO tradeVideoQueryVO = alipayTradeService.tradeVideoQuery(tradeVideoQueryDTO);
        return R.ok(tradeVideoQueryVO);
    }

}
