package com.xy.service.factory;

import cn.hutool.json.JSONObject;
import com.xy.device.EnumMqttCmdTempletTask;
import com.xy.dto.ActivityInfoDto;
import com.xy.dto.MqttDto;
import com.xy.service.ActivityInfoService;
import com.xy.utils.R;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 任务指令 接口实现
 */
@Service
@RequiredArgsConstructor
public class TaskCmdServiceImpl implements CmdService {

    private final ActivityInfoService activityInfoService;

    @Override
    public R senCommand(List<MqttDto> mqttDtos) {
        for (MqttDto mqttDto : mqttDtos) {
            JSONObject data = mqttDto.getPater().getData();
            String type = data.getStr("type");
            //终止活动
            if (type.equals(EnumMqttCmdTempletTask.ABORT.getCode())) {
                activityInfoService.abort(new ActivityInfoDto.Abort().setDeviceId(mqttDto.getDeviceId()));
            }
        }
        return R.ok();
    }

    @Override
    public R resultBack(MqttDto.ResultBack resultBack) {
        return R.ok();
    }
}
